## libmikmod 3.1.11-6.3

=== debian/changelog ===
libmikmod (3.1.11-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Upstream fix for CVE-2009-3995 was incorrect, this is CVE-2010-2546
    (Closes: #575742)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 29 Jul 2010 21:16:34 -0400

libmikmod (3.1.11-6.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/CVE-2009-3995f.patch: fixes buffer overflows in the
    loaders for Impulse Tracker and Ultratracker files. (Closes: #575742)

 -- Arne Wichmann <aw@linux.de>  Sat, 12 Jun 2010 16:14:44 +0200

libmikmod (3.1.11-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/CVE-2007-6720.patch: Fixed application crash or abort when
    loading/playing multiple music files with varying number of channels.
    (CVE-2007-6720) (Closes: #461519)
  * debian/patches/CVE-2009-0179.patch: Fixed application crash when loading XM
    files. (CVE-2009-0179) (Closes: #476339)


 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 05 Aug 2009 11:50:25 +0200

libmikmod (3.1.11-6) unstable; urgency=medium

  * The "Play a .mod on your ia64 today!" release.
  * Module playback seems to be broken on ia64, too, but nobody noticed.
    Checking for defined(_LP64) as suggested in #272457 which _should_
    catch all 64bit archs.
  * Urgency medium because ia64 will be released with sarge.

 -- Ingo Saitz <ingo@debian.org>  Fri, 24 Sep 2004 14:43:15 +0200

libmikmod (3.1.11-5) unstable; urgency=low

  * Rebuild autotools files to fix FTBFS on GNU/k*BSD. (Closes: #263527)
  * Use dh_installman instead of obsoleted dh_installmanpages.

 -- Ingo Saitz <ingo@debian.org>  Tue, 10 Aug 2004 20:16:40 +0200

libmikmod (3.1.11-4) unstable; urgency=low

  * Correct -dev dependency.

 -- Ingo Saitz <ingo@debian.org>  Fri,  9 Jul 2004 00:40:33 +0200

libmikmod (3.1.11-3) unstable; urgency=low

  * Applied upstream patch 3.1.11-a which fixes automake warnings and
    ought to fix amd64 arch.
  * Also modified debian/rules to add the -a to the binary packages
    only, so no new .tar.gz is required.
  * Added some more checks for amd64 arch, thanks to Hans-Frieder Vogt
    to point it out.
  * Added missing build-dep on texinfo, since the upstream patch touches
    mikmod.texi and triggers a rebuild of mikmod.info.

 -- Ingo Saitz <ingo@debian.org>  Thu,  8 Jul 2004 14:59:28 +0200

libmikmod (3.1.11-2) unstable; urgency=low

  * Fix override disparity: set Section: libdevel für the -dev package.

 -- Ingo Saitz <ingo@debian.org>  Fri, 27 Feb 2004 20:23:57 +0100

libmikmod (3.1.11-1) unstable; urgency=low

  * New upstream version from Raphael Assenat.
    + New upstream maintainer
    + Includes almost all patches from the previous debian version
    + More small bugfixes (MODs with length >128 and raw output driver)
    + win32 Makefiles and DirectSound fixes (not checked ;)
  * Package complies to debian policy 3.6.1: no changes.
  * dump config.log when configure fails.

 -- Ingo Saitz <ingo@debian.org>  Fri, 27 Feb 2004 15:07:53 +0100

libmikmod (3.1.10-5) unstable; urgency=low

  * Fix package description (lintian).

 -- Ingo Saitz <ingo@debian.org>  Thu, 23 Jan 2003 17:08:10 +0100

libmikmod (3.1.10-4) unstable; urgency=low

  * Debian Policy 3.5.8: Adapt to new DEB_BUILD_OPTIONS.
  * Open libesd by its soname (Closes: #163938).
  * Old bug: libmikmod is already in the correct section, (Closes: #83945).

 -- Ingo Saitz <ingo@debian.org>  Wed, 22 Jan 2003 18:09:48 +0100

libmikmod (3.1.10-3) unstable; urgency=low

  * Received patch from upstream to solve broken fades for IT
    (Closes: #133998).

 -- Ingo Saitz <ingo@debian.org>  Sat, 16 Mar 2002 16:23:52 +0100

libmikmod (3.1.10-2) unstable; urgency=low

  * Fix -pthread recognization. Despite gcc simply ignoring unknown switches
    it also overoptimizes the test programm which really should not link in
    that case (Closes: #128779).
  * Also check for the devfs names of the oss driver. This allowes users to
    use libmikmod without running devfsd (Closes: #106168).

 -- Ingo Saitz <ingo@debian.org>  Mon,  4 Feb 2002 00:40:55 +0100

libmikmod (3.1.10-1) unstable; urgency=low

  * New upstream version.
  * mikmod Homepage moved to a new location.
  * Also changed copyright to include the bits about sox' sourcecode.
  * Still need patches to the build-system, upstream probably will include
    them in 3.1.11.
  * Debian Policy 3.5.6: no changes.

 -- Ingo Saitz <ingo@debian.org>  Tue, 29 Jan 2002 13:26:40 +0100

libmikmod (3.1.9-6) unstable; urgency=low

  * Update libtool to build on The Hurd (Closes: #105881)
  * Update config.{sub,guess} in debian/rules now
  * Debian Policy 3.5.5: no changes

 -- Ingo Saitz <ingo@debian.org>  Fri, 20 Jul 2001 23:38:33 +0200

libmikmod (3.1.9-5) unstable; urgency=low

  * Update autoconf files to recognize PA-RISC architecture (Closes #96733).
  * Update homepage URL in copyright file.
  * Tighten dependency in -dev package to the current version of libmikmod2.

 -- Ingo Saitz <ingo@debian.org>  Thu, 10 May 2001 18:10:08 +0200

libmikmod (3.1.9-4) unstable; urgency=low

  * New maintainer (Closes: #68118)
  * Apply patch to fix some playback problems from upstream:
    debian/patches/loader_mod.patch
  * Patch mdriver.c not to register invalid MDRIVER structures:
    debian/patches/mdriver_c.patch (forwarded to upstream) (Closes: #79425)
  * Also removed Build-Depends on libasound1-dev, since libmikmod does
    not support ALSA 0.5 currently (this caused the above bug to happen)
  * Changed configure to check for /dev/dsp instead /dev/sndstat for OSS
    presence. Fixes building on 2.4 kernels/ALSA with OSS emulation enabled:
    debian/patches/configure_oss.patch
  * Restructures debian/ regarding the installation of the documentation
    (Closes: #84051)
  * Added versioned build depends on debhelper (>> 2.2.11)
  * Bumped Standards-Version to 3.2.1.

 -- Ingo Saitz <ingo@debian.org>  Fri, 23 Feb 2001 15:22:34 +0100

libmikmod (3.1.9-3) unstable; urgency=low


