=== debian/control ===
Source: libmikmod
Section: libs
Priority: optional
Maintainer: Ingo Saitz <ingo@debian.org>
Build-Depends: debhelper (>> 2.2.11), libesd0-dev, texinfo
Standards-Version: 3.6.1

Package: libmikmod2-dev
Section: libdevel
Architecture: any
Depends: libmikmod2 (= ${Binary-Version}), libc6-dev
Provides: libmikmod-dev
Conflicts: libmikmod-dev
Description: A portable sound library - development files
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours.
 It uses the OSS /dev/dsp driver including in all recent kernels for output,
 as well as ALSA and EsounD, and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains the symlinks, headers, and object files needed to compile
 and link programs which use libmikmod.

Package: libmikmod2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: A portable sound library
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours. 
 It uses the OSS /dev/dsp driver including in all recent kernels for output,
 as well as ALSA and EsounD, and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
