## libmikmod 3.1.12

=== debian/changelog ===
libmikmod (3.1.12-5) unstable; urgency=low

  * Acknowledge the NMU, thanks Simon!
  * Make the nosound driver have higher priority than the disk
    writers. (Closes: #690943)
  * Demote the pulseaudio-esound-compat | oss-compat recommendation to
    Suggests, now that the fallback is not the disk writer.
    (Closes: #696013)
  * Build with hardening=-fortify, as enabling fortification breaks the
    driver loading.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 21 Dec 2012 16:41:15 +0100

libmikmod (3.1.12-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patches from Hans de Goede and Pantelis Koukousoulas to enable
    the ESD driver, so we can interoperate with PulseAudio (Closes: #385844)
  * Recommend pulseaudio-esound-compat | oss-compat because if we don't have
    one of those, the fallback path is to write output to ./music.raw, which
    is unlikely to be what you want!

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Oct 2012 09:12:08 +0100

libmikmod (3.1.12-4) unstable; urgency=low

  * Drop the dependency on oss-compat. Programs that use libmikmod should
    recommend it instead. (Closes: #647686)
  * Bump Standards-Version to 3.9.3, no changes necessary.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 05 Apr 2012 18:24:47 +0200

libmikmod (3.1.12-3) unstable; urgency=low

  * Build with hardened build flags. Based on a patch by Moritz
    Muehlenhoff <jmm@debian.org>. (Closes: #656779)

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 09 Feb 2012 10:10:59 +0100

libmikmod (3.1.12-2) unstable; urgency=low

  * Transition to Multi-Arch and dh9, thanks to Vagrant Cascadian
    <vagrant@debian.org> and Steve Langasek <steve.langasek@canonical.com>.
    (Closes: #650996)

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 06 Dec 2011 10:33:37 +0100

libmikmod (3.1.12-1) unstable; urgency=low

  * New upstream version. (Closes: #533558)
    + Drop the 3.1.11-a patch, it's included upstream.
    + Modules with more then 255 orders are now supported.
      (Closes: #374217)

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 31 Oct 2011 21:23:56 +0100

libmikmod (3.1.11-8) unstable; urgency=low

  * New maintainer  (Closes: #628162).
  * Updated to use short-form dh(7).
  * Switch to format: 3.0 (quilt).
  * Use dh-autoreconf to freshen the autotools stuff. (Closes: #536000)
  * Add lintian overrides (with comments), to silence false alarms.
  * Include the upstream README under /usr/share/doc/libmikmod2, as this
    is where driver options are documented. (Closes: #423027)
  * Disable the esd driver. (Closes: #123150)
  * Depend on oss-compat, to be able to assume an OSS compatible /dev/dsp.
    (Closes: #385844). This is done on Linux too, because the ALSA driver
    is broken too.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 29 Oct 2011 16:36:31 +0200

libmikmod (3.1.11-7) unstable; urgency=low

  * QA upload.
  * The package has been orphaned, set the mainatainer to Debian QA.
  * Stop shipping la file altogether.
  * Bump debhelper compat to 8, and clean up the packaging a bit.

 -- Regis Boudin <regis@debian.org>  Mon, 03 Oct 2011 19:34:56 +0100

libmikmod (3.1.11-6.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed regression introduced by CVE-2007-6720.patch
    (Closes: #631009)(LP: #194916)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 01 Aug 2011 11:51:59 +0200
