=== debian/control ===
Source: libmikmod
Section: libs
Priority: optional
Maintainer: Gergely Nagy <algernon@madhouse-project.org>
Build-Depends: debhelper (>= 9~), dh-autoreconf, texinfo, libesd0-dev
Standards-Version: 3.9.3
Homepage: http://mikmod.raphnet.net/
Vcs-Git: git://git.madhouse-project.org/debian/libmikmod.git
Vcs-Browser: http://git.madhouse-project.org/debian/libmikmod/

Package: libmikmod2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmikmod2 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Provides: libmikmod-dev
Conflicts: libmikmod-dev
Description: Portable sound library - development files
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours.
 It uses the OSS /dev/dsp driver included in all recent kernels for output,
 and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains the symlinks, headers, and object files needed to compile
 and link programs which use libmikmod.

Package: libmikmod2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pulseaudio-esound-compat | oss-compat
Description: Portable sound library
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours. 
 It uses the OSS /dev/dsp driver included in all recent kernels for output,
 and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
