=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS		+= -O-Bbuild
export DEB_BUILD_MAINT_OPTIONS	 = hardening=-fortify

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-threads \
		--disable-alsa \
		--enable-esd \
		$(shell dpkg-buildflags --export=configure)

override_dh_installinfo:
	dh_installinfo docs/mikmod.info*

override_dh_installchangelogs:
	dh_installchangelogs -a NEWS

%:
	dh $@ --with autoreconf
