## libmikmod 3.1.16

=== debian/changelog ===
libmikmod (3.1.16-1) unstable; urgency=low

  * New maintainer (closes: #728593).
  * New upstream version.
  * Update patches:
    - drop 0001-Drop-LIBOBJS-from-configure.in.patch, obsolete
    - drop 0003-Use-_LP64-to-detect-64bit-arches.patch, integrated
      upstream
    - drop 0004-CVE-2009-0179.patch, integrated upstream
    - drop 0005-CVE-2007-6720.patch, integrated upstream
    - drop 0006-CVE-2009-3995f.patch, fixed in another way upstream
    - drop 0007-CVE-2010-2546.patch, integrated upstream
    - drop 0008-Fix-libmikmod-Makefile.in.patch, obsolete
    - drop 0009-libmikmod-Makefile.in-Respect-CPPFLAGS-and-LDFLAGS.patch,
      obsolete
    - drop 0010-libmikmod-config-manual-page-fix.patch, integrated
      upstream
    - drop 0011-Disable-ALSA-by-default.patch, obsolete
    - drop 0012-fix-ESD.patch, integrated upstream
    - drop 0013-fix-building-of-ESD.patch, obsolete
    - update
      0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch.
  * Add symbols file.
  * Enable ALSA on Linux platforms.
  * Add watch file.
  * Drop the VCS URIs for now.
  * Standards-Version 3.9.5, no further change required.
  * Update lintian overrides.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Jan 2014 19:05:58 +0100
