=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: libmikmod
 Section: libs
 Priority: optional
-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
-Build-Depends: debhelper (>= 9~), dh-autoreconf, texinfo, libesd0-dev
-Standards-Version: 3.9.3
-Homepage: http://mikmod.raphnet.net/
-Vcs-Git: git://git.madhouse-project.org/debian/libmikmod.git
-Vcs-Browser: http://git.madhouse-project.org/debian/libmikmod/
+Maintainer: Stephen Kitt <skitt@debian.org>
+Build-Depends: debhelper (>= 9~),
+               dh-autoreconf,
+               libasound2-dev [linux-any],
+               libesd0-dev,
+               texinfo
+Standards-Version: 3.9.5
+Homepage: http://mikmod.sf.net/
 
 Package: libmikmod2-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmikmod2 (= ${binary:Version}), libc6-dev, ${misc:Depends}
+Depends: libc6-dev,
+         libmikmod2 (= ${binary:Version}),
+         ${misc:Depends}
 Provides: libmikmod-dev
 Conflicts: libmikmod-dev
 Description: Portable sound library - development files
@@ -31,12 +35,13 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: pulseaudio-esound-compat | oss-compat
 Description: Portable sound library
  This library is capable of playing samples as well as module
  files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
- subsequently been hacked by many hands and now runs on many Unix flavours. 
+ subsequently been hacked by many hands and now runs on many Unix flavours.
  It uses the OSS /dev/dsp driver included in all recent kernels for output,
  and will also write wav files.
  .
