=== debian/watch ===
version=3
http://sf.net/mikmod/libmikmod-(3\.1\..+)\.tar\.gz
