## libmikmod 3.3.6

=== debian/changelog ===
libmikmod (3.3.6-4) unstable; urgency=medium

  * We no longer need to forcibly remove configure.ac.
  * Break and replace libmikmod2-dev (closes: #755920). Thanks to Sylvain
    Boilard for noticing!

 -- Stephen Kitt <skitt@debian.org>  Thu, 24 Jul 2014 19:18:07 +0200

libmikmod (3.3.6-3) unstable; urgency=medium

  * Use CMake correctly to install everything in the right place; thanks
    to Gert Wollny and Daniel Lintott for the instructions!
  * Drop EsounD support since it is now obsolete in Debian (closes:
    #753123). Thanks to Adrian Bunk for the prodding!

 -- Stephen Kitt <skitt@debian.org>  Sun, 29 Jun 2014 21:03:25 +0200

libmikmod (3.3.6-2) unstable; urgency=medium

  * Add collab-maint repository URIs.
  * Install libmikmod.pc.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 Apr 2014 22:51:48 +0200

libmikmod (3.3.6-1) unstable; urgency=medium

  * New upstream version.
  * Update patches:
    - drop 0002-dlopen-libesd.so.0-rather-than-libesd.so.patch, handled
      upstream;
    - refresh
      0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch.
  * Move libmikmod-config to its own package (closes: #735206).

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Apr 2014 17:08:08 +0200

libmikmod (3.3.5-3) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Mar 2014 23:13:03 +0100

libmikmod (3.3.5-2) experimental; urgency=medium

  * Make libmikmod-dev provide libmikmod2-dev, to make the transition
    easier.

 -- Stephen Kitt <skitt@debian.org>  Mon, 17 Mar 2014 00:04:01 +0100

libmikmod (3.3.5-1) experimental; urgency=medium

  * New upstream version.
  * Update patches:
    - refresh
      0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch;
    - drop 0015-fix-texinfo-infox-after-info-error.patch, merged
      upstream.
  * Enable pulseaudio support.
  * Only build-depend on libasound2-dev on Linux platforms.
  * Update description and stop suggesting compatibility packages, now
    that libmikmod supports modern sound output.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Jan 2014 20:02:14 +0100

libmikmod (3.3.4-2) experimental; urgency=medium

  * Forcibly disable ALSA on non-Linux platforms.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Dec 2013 23:41:36 +0100

libmikmod (3.3.4-1) experimental; urgency=low

  * New maintainer (closes: #728593).
  * New upstream version (closes: #672697), with a new soname: libmikmod2
    becomes libmikmod3.
  * Upload to experimental to prepare the library transition.
  * Ship the -dev package as libmikmod-dev.
  * Update patches:
    - drop 0001-Drop-LIBOBJS-from-configure.in.patch, obsolete
    - drop 0003-Use-_LP64-to-detect-64bit-arches.patch, integrated
      upstream
    - drop 0004-CVE-2009-0179.patch, integrated upstream
    - drop 0005-CVE-2007-6720.patch, integrated upstream
    - drop 0006-CVE-2009-3995f.patch, fixed in another way upstream
    - drop 0007-CVE-2010-2546.patch, integrated upstream
    - drop 0008-Fix-libmikmod-Makefile.in.patch, obsolete
    - drop 0009-libmikmod-Makefile.in-Respect-CPPFLAGS-and-LDFLAGS.patch,
      obsolete
    - drop 0010-libmikmod-config-manual-page-fix.patch, integrated
      upstream
    - drop 0011-Disable-ALSA-by-default.patch, obsolete
    - drop 0012-fix-ESD.patch, integrated upstream
    - drop 0013-fix-building-of-ESD.patch, obsolete
    - update
      0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch
    - add 0015-fix-texinfo-infox-after-info-error.patch to fix build
      errors with texinfo 5.
  * Add symbols file.
  * Force cmake usage as recommended upstream:
    - delete configure.ac;
    - stop using dh-autoreconf;
    - manually move the appropriate files to multi-arch locations;
    - manually install the libmikmod-config manpage;
    - forcibly disable RPATH.
  * Enable ALSA, OpenAL and SDL audio outputs.
  * Add watch file.
  * Drop the VCS URIs for now.
  * Standards-Version 3.9.5, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Dec 2013 01:11:56 +0100
