## libmikmod 3.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 SET(LIBMIKMOD_MAJOR_VERSION 3)
 SET(LIBMIKMOD_MINOR_VERSION 3)
-SET(LIBMIKMOD_MICRO_VERSION 6)
+SET(LIBMIKMOD_MICRO_VERSION 7)
 
 SET(VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
 SET(LIBMIKMOD_VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
@@ -60,8 +60,6 @@
     "\\\\.so(\\\\.[0-9]+)*$"
     "/\\\\.svn/"
     "\\\\.(pdf|fo)$"
-    "/t/t/.*\\\\.exe$"
-    "/t/Presets"
     "/CMakeCache\\\\.txt$"
     "/CTestTestfile\\\\.cmake$"
     "/cmake_install\\\\.cmake$"
@@ -71,9 +69,9 @@
     "/libmikmod-config$"
     "^config\\\\.h$"
     "/install_manifest\\\\.txt$"
-    "/t/card-test-(parse|render)\\\\.c$"
+    "/t/"
     "/Testing/"
-    "ids-whitelist\\\\.txt"
+    "run-tests\\\\.pl"
     "/_Inline/"
     "/(B|build|BUILD)/"
     "/autom4te.cache/"
@@ -166,18 +164,18 @@
 ### under a prefix the executables will find the libraries.
 ### See:  http://www.cmake.org/Wiki/CMake_RPATH_handling
 IF (ENABLE_RPATH)
-    # use, i.e. don't skip the full RPATH for the build tree
+  # use, i.e. don't skip the full RPATH for the build tree
     SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
 
-    # when building, don't use the install RPATH already
-    # (but later on when installing)
+  # when building, don't use the install RPATH already
+  # (but later on when installing)
     SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 
-    # the RPATH to be used when installing
+  # the RPATH to be used when installing
     SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
 
-    # add the automatically determined parts of the RPATH
-    # which point to directories outside the build tree to the install RPATH
+  # add the automatically determined parts of the RPATH
+  # which point to directories outside the build tree to the install RPATH
     SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 ELSE(ENABLE_RPATH)
 #   SET (CMAKE_SKIP_RPATH YES)
@@ -194,17 +192,12 @@
 
 ADD_SUBDIRECTORY ("dlapi")
 ADD_SUBDIRECTORY ("docs")
-ADD_SUBDIRECTORY ("dos")
 ADD_SUBDIRECTORY ("drivers")
 ADD_SUBDIRECTORY ("include")
 ADD_SUBDIRECTORY ("loaders")
-ADD_SUBDIRECTORY ("macintosh")
-ADD_SUBDIRECTORY ("macosx")
 ADD_SUBDIRECTORY ("mmio")
-ADD_SUBDIRECTORY ("os2")
 ADD_SUBDIRECTORY ("playercode")
 ADD_SUBDIRECTORY ("posix")
-ADD_SUBDIRECTORY ("win32")
 
 SET(COMPILER_FLAGS_TO_CHECK
     "-Wall" "-Werror=implicit-function-declaration"
@@ -295,10 +288,8 @@
 INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR})
 INCLUDE_DIRECTORIES(BEFORE "${CMAKE_SOURCE_DIR}/include")
 
-# to find config.h and mikmod[_build].h:
+# to find config.h:
 INCLUDE_DIRECTORIES(BEFORE ${CMAKE_BINARY_DIR})
-FILE (MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/include")
-INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/include")
 
 CHECK_MULTI_INCLUDE_FILES(
     "dlfcn.h" "fcntl.h" "limits.h" "malloc.h" "memory.h" "strings.h" "sys/ioctl.h" "unistd.h" "windows.h"
@@ -326,6 +317,7 @@
 SET (MIKMOD_LIB_MODULES
     drivers/drv_AF.c
     drivers/drv_aiff.c
+    drivers/drv_ahi.c
     drivers/drv_aix.c
     drivers/drv_alsa.c
     drivers/drv_dart.c
@@ -337,9 +329,11 @@
     drivers/drv_nas.c
     drivers/drv_nos.c
     drivers/drv_openal.c
+    drivers/drv_osles.c
     drivers/drv_oss.c
     drivers/drv_osx.c
     drivers/drv_pipe.c
+    drivers/drv_psp.c
     drivers/drv_pulseaudio.c
     drivers/drv_raw.c
     drivers/drv_sam9407.c
@@ -360,3 +354,16 @@
     loaders/load_gt2.c
     loaders/load_imf.c
     loaders/load_it.c
+    loaders/load_m15.c
+    loaders/load_med.c
+    loaders/load_mod.c
+    loaders/load_mtm.c
+    loaders/load_okt.c
+    loaders/load_s3m.c
+    loaders/load_stm.c
+    loaders/load_stx.c
+    loaders/load_ult.c
+    loaders/load_umx.c
+    loaders/load_uni.c
+    loaders/load_xm.c
+    mmio/mmalloc.c
