=== debian/changelog ===
libmikmod (3.3.7-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Sep 2014 13:57:23 +0200
