=== debian/control ===
Source: libmikmod
Section: libs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: cmake,
               debhelper (>= 9~),
               libasound2-dev [linux-any],
               libopenal-dev,
               libpulse-dev,
               libsdl1.2-dev,
               texinfo
Standards-Version: 3.9.5
Homepage: http://mikmod.sf.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/libmikmod.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libmikmod.git;a=summary

Package: libmikmod-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libmikmod3 (= ${binary:Version}),
         libmikmod-config,
         ${misc:Depends}
Provides: libmikmod2-dev
Conflicts: libmikmod2-dev
Description: Portable sound library - development files
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains the symlinks, headers, and object files needed
 to compile and link programs which use libmikmod.

Package: libmikmod-config
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libmikmod-dev (<< 3.3.6-1), libmikmod2-dev (<< 3.3.6-1)
Breaks: libmikmod-dev (<< 3.3.6-1), libmikmod2-dev (<< 3.3.6-1)
Description: Portable sound library - development binaries
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains libmikmod-config.

Package: libmikmod3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Portable sound library
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
