## libmikmod 3.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 SET(LIBMIKMOD_MAJOR_VERSION 3)
 SET(LIBMIKMOD_MINOR_VERSION 3)
-SET(LIBMIKMOD_MICRO_VERSION 7)
+SET(LIBMIKMOD_MICRO_VERSION 8)
 
 SET(VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
 SET(LIBMIKMOD_VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
@@ -97,6 +97,12 @@
 SET (ENABLE_NAS 0)
 ENDIF()
 
+IF(CMAKE_SYSTEM_NAME MATCHES "OpenBSD.*")
+SET (ENABLE_SNDIO 1 CACHE BOOL "Include the OpenBSD sndio driver")
+ELSE()
+SET (ENABLE_SNDIO 0)
+ENDIF()
+
 IF(CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*|kOpenBSD.*|OpenBSD.*|Solaris.*")
 SET (ENABLE_SUNAUDIO 1 CACHE BOOL "Include the SunAudio (or compatibles) driver")
 ELSE()
@@ -110,7 +116,7 @@
 ENDIF()
 
 IF(CMAKE_SYSTEM_NAME MATCHES "HP-UX.*")
-SET (ENABLE_AIX 1 CACHE BOOL "Include the HP-UX audio driver")
+SET (ENABLE_HPUX 1 CACHE BOOL "Include the HP-UX audio driver")
 ELSE()
 SET (ENABLE_HPUX 0)
 ENDIF()
@@ -196,6 +202,7 @@
 ADD_SUBDIRECTORY ("include")
 ADD_SUBDIRECTORY ("loaders")
 ADD_SUBDIRECTORY ("mmio")
+ADD_SUBDIRECTORY ("depackers")
 ADD_SUBDIRECTORY ("playercode")
 ADD_SUBDIRECTORY ("posix")
 
@@ -339,6 +346,7 @@
     drivers/drv_sam9407.c
     drivers/drv_sdl.c
     drivers/drv_sgi.c
+    drivers/drv_sndio.c
     drivers/drv_stdout.c
     drivers/drv_sun.c
     drivers/drv_ultra.c
@@ -358,12 +366,3 @@
     loaders/load_med.c
     loaders/load_mod.c
     loaders/load_mtm.c
-    loaders/load_okt.c
-    loaders/load_s3m.c
-    loaders/load_stm.c
-    loaders/load_stx.c
-    loaders/load_ult.c
-    loaders/load_umx.c
-    loaders/load_uni.c
-    loaders/load_xm.c
-    mmio/mmalloc.c
