=== debian/changelog ===
libmikmod (3.3.8-2) unstable; urgency=medium

  * Rebuild to get debug packages (closes: #785584).
  * Rework debian/copyright in machine-readable format.
  * Drop obsolete lintian source overrides.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2016 14:45:48 +0100

libmikmod (3.3.8-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 15 Nov 2015 20:51:45 +0100
