=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libpulse-dev,
                libsdl1.2-dev,
                texinfo
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mikmod.sf.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libmikmod.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libmikmod.git;a=summary
