=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS		+= -O-Bbuild
export DEB_BUILD_MAINT_OPTIONS	 = hardening=-fortify

ENABLED = -DENABLE_ESD=0
ENABLED += -DENABLE_OPENAL=1
ENABLED += -DENABLE_SDL=1
ENABLED += -DENABLE_RPATH=0
# Only enable ALSA on Linux
ifeq ($(DEB_HOST_ARCH_OS), linux)
  ENABLED += -DENABLE_ALSA=1
else
  ENABLED += -DENABLE_ALSA=0
endif

override_dh_auto_configure:
	dh_auto_configure -- $(ENABLED)

override_dh_installman:
	sed 's/@VERSION@/$(shell grep SET.VERSION CMakeLists.txt | cut -d\" -f2)/g' < docs/libmikmod-config.1.in > build/docs/libmikmod-config.1
	dh_installman

override_dh_installinfo:
	dh_installinfo docs/mikmod.info*

override_dh_installchangelogs:
	dh_installchangelogs -a NEWS

%:
	dh $@ --buildsystem=cmake
